# $Revision: 1.105 $, $Date: 2012/05/06 09:54:32 $
# TODO:
# - ip_filter patch is broken (doesn't handle ipv6 addresses. Also causes
#   "rtorrent: CommandMap::insert(...) tried to insert an already existing key." error)
#
# Conditional build:
%bcond_without	xmlrpc		# build xmlrpc-c support
%bcond_without	colors		# without color version
%bcond_without	ipv6		# without IPv6 support
#
Summary:	rTorrent - a console-based BitTorrent client
Summary(pl.UTF-8):	rTorrent - konsolowy klient BitTorrenta
Name:		rtorrent
# keep stable line, see URL below
Version:	0.9.2
Release:	2
Epoch:		5
License:	GPL v2+
Group:		Applications/Networking
Source0:	http://libtorrent.rakshasa.no/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	72c3e9ab859bda7cc8aa96c0b508b09f
Patch0:		%{name}-colors.patch
Patch1:		%{name}-ssl-no-verify.patch
Patch2:		%{name}-ip_filter.patch
Patch3:		%{name}-build.patch
URL:		http://libtorrent.rakshasa.no/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.35.0
BuildRequires:	cppunit-devel >= 1.9.6
BuildRequires:	curl-devel >= 7.12
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libtorrent-devel = 1:0.13.2
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel
%if %{with xmlrpc}
BuildRequires:	xmlrpc-c-devel >= 1.14.2
%endif
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rTorrent is a console-based BitTorrent client. It aims to be a
fully-featured and efficient client with the ability to run in the
background using screen. It supports fast-resume and session
management.

%description -l pl.UTF-8
rTorrent to konsolowy klient BitTorrenta. Jego celem jest być pełnym i
wydajnym klientem, z możliwością uruchamiania go w tle przy użyciu
screena. Obsługuje szybkie wznawianie i zarządzanie sesjami.

%prep
%setup -q
%if %{with colors}
%patch0 -p1
%endif
%patch1 -p1
# broke, see TODO
#%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal} -I scripts
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	CXXFLAGS="%{rpmcflags} -I/usr/include/ncurses" \
	--%{?debug:en}%{!?debug:dis}able-debug \
	--%{?with_ipv6:en}%{!?with_ipv6:dis}able-ipv6 \
	--with%{!?with_xmlrpc:out}-xmlrpc-c

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -p doc/rtorrent.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README doc/rtorrent.rc
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/rtorrent.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rtorrent.spec,v $
Revision 1.105  2012/05/06 09:54:32  arekm
- rel 2; colors patch is back

Revision 1.104  2012/05/06 08:41:30  arekm
- up to 0.9.2 but without colors patch

Revision 1.103  2011/09/02 18:14:23  arekm
- rel 5; hack in ac patch to detect xmlrpc components/libs

Revision 1.102  2011/09/01 17:03:10  arekm
- release 4

Revision 1.101  2011/08/31 18:32:38  arekm
- release 3

Revision 1.100  2011/07/23 16:47:57  arekm
- stable note

Revision 1.99  2011/06/27 08:45:52  lisu
- dropped -ncurses.patch

Revision 1.98  2011/06/27 08:18:08  lisu
- merged with DEVEL

Revision 1.97  2011/06/25 13:46:26  arekm
- Epoch: 5 since 4 is already on ftp

Revision 1.96  2011/06/25 13:21:59  arekm
- up to 0.8.9

Revision 1.95  2011/05/11 13:52:03  lisu
- proper rel

Revision 1.94  2011/05/11 13:51:10  lisu
- reversed

Revision 1.92.2.2  2011/05/11 13:32:06  lisu
- epoch 1

Revision 1.92.2.1  2011/05/11 13:30:10  lisu
- moved unstable version to DEVEL
- epoch 1

Revision 1.92  2011/05/11 13:29:02  lisu
- reversed
- epoch in libtorrent-devel BR

Revision 1.90  2011/05/11 13:21:28  lisu
- back to stable 0.8.6 version

Revision 1.89  2011/05/10 07:28:30  lisu
- updated to 0.8.8
- bumped version of libtorrent-devel BR

Revision 1.88  2011/03/03 21:24:34  baggins
- rel 3
- fix segfault with ncurses 5.8

Revision 1.87  2011/02/22 21:49:52  blekot
- BR: sqlite3-devel

Revision 1.86  2010/11/09 01:10:29  shadzik
- rel 2

Revision 1.85  2010/10/28 23:47:48  charles
- updated BRs versions

Revision 1.84  2010/10/27 12:51:50  baggins
- install manual

Revision 1.83  2010/10/27 10:57:47  baggins
- BR cppunit-devel
- fix usual tinfow linking problems

Revision 1.82  2010/10/27 10:30:14  baggins
- 0.8.7

Revision 1.81  2010/04/01 12:11:54  shadzik
- rel 3

Revision 1.80  2009/12/27 20:23:50  arekm
- rel 2; reenable xmlrpc (shadzik doesn't know why he disabled it in first place and people on ml report that it works fine)

Revision 1.79  2009/12/01 09:36:51  lisu
- up to 0.8.6

Revision 1.78  2009/07/03 08:53:55  arekm
- up to 0.8.5

Revision 1.77  2009/02/18 20:10:53  arekm
- release 2

Revision 1.76  2008/11/21 13:39:52  lisu
- 0.8.4

Revision 1.75  2008/09/26 18:51:07  adamg
- reverted, wrong branch

Revision 1.74  2008/09/26 18:46:26  adamg
- ac boost deps

Revision 1.73  2008/09/24 15:44:18  arekm
- ip filter patch broken

Revision 1.72  2008/09/24 10:29:43  arekm
- up to 0.8.3

Revision 1.71  2008/09/11 17:51:59  qboosh
- BR: ac,lt

Revision 1.70  2008/09/11 08:56:01  kosmo
- added ip filtering patch

Revision 1.69  2008/07/18 21:06:23  adamg
- two more patches from gentoo
- release 2

Revision 1.68  2008-06-11 15:50:34  hawk
- release 3

Revision 1.67  2008-06-07 19:57:51  adamg
- merge from AC-branch:
  - ipv6 and colors bconds enabled by default
  - dropped dns_peer_info patch
  - some fixes from gentoo
- release 2

Revision 1.66  2008-05-11 16:52:16  areq
- BR xmlrpc-c-devel >= 1.14.2

Revision 1.65  2008-05-10 16:22:15  shadzik
- update BR

Revision 1.64  2008-05-10 14:48:38  areq
- 0.8.2

Revision 1.63  2008-04-28 08:09:42  lisu
- 0.8.1
- patch3 is obsolete, no matter what was it name (missing_include or inttypes)

Revision 1.62  2008-03-14 22:01:57  adamg
- renumbered patches
- proper xmlrpc-c support

Revision 1.61  2008-02-21 19:04:50  glen
- release 3

Revision 1.60  2008-01-30 09:03:29  paszczus
- seems to work; rel 1

Revision 1.59  2008-01-30 08:23:05  paszczus
- updated to 0.8.0
- updated BR: libtorrent-devel >= 0.12.0
- release 0.1 (for tests)

Revision 1.58  2008-01-09 15:55:03  shadzik
- fix bcond (no *-c allowed)

Revision 1.57  2008-01-09 15:50:16  shadzik
- bcond xmlrpc-c
- rel 3

Revision 1.56  2007-12-16 12:16:19  jpc
- enable xmlrpc support

Revision 1.55  2007-12-05 21:04:06  arekm
- rel 2; don't verify ssl certs

Revision 1.54  2007/10/26 20:12:41  arekm
- up to 0.7.9

Revision 1.53  2007/09/11 20:06:13  lisu
- 0.7.8

Revision 1.52  2007/08/23 17:19:36  shadzik
- rel 2 (AC purpose)

Revision 1.51  2007/08/23 17:18:20  shadzik
- upgraded libtorrent BR

Revision 1.50  2007/08/18 15:21:04  lisu
- 0.7.7

Revision 1.49  2007/08/05 12:14:25  qboosh
- removed bogus libssh2-devel BR (curl dependency)

Revision 1.48  2007/08/04 09:19:33  lisu
- sorted BRs

Revision 1.47  2007/08/04 09:18:24  lisu
- 0.7.6
- BR: libssh2-devel
- STBR

Revision 1.46  2007/04/22 15:23:57  arekm
- up to 0.7.4

Revision 1.45  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.44  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.43  2007/01/26 17:16:38  charles
- updated to 0.7.2

Revision 1.42  2007/01/14 08:15:09  charles
- IPv6 support (with bcond)
- BR libtorrent-devel up to >= 0.11.1
- rel. 1

Revision 1.41  2007/01/07 06:45:18  charles
- updated to 0.7.1

Revision 1.40  2006/12/14 09:33:28  charles
- updated to 0.7.0
- rm -client_info.patch

Revision 1.39  2006/10/29 04:13:43  charles
- updated to 0.6.4
- rm obsolete -inttypes.patch

Revision 1.38  2006/10/06 19:38:42  charles
- updated to 0.6.3

Revision 1.37  2006/09/14 15:43:23  charles
- updated to 0.6.2

Revision 1.36  2006/08/21 13:01:48  charles
- updated to 0.6.1

Revision 1.35  2006/07/13 01:53:04  charles
- by default disabled -dns_peer_info.patch (moved to with_colors)

Revision 1.34  2006/07/13 01:12:06  charles
- added -dns_peer_info.patch (display DNS name in the peer info)

Revision 1.33  2006/07/10 16:24:23  charles
- updated to 0.6.0
- added -client_info.patch (identification of the majority of clients)

Revision 1.32  2006/05/23 13:35:34  charles
- updated to 0.5.3

Revision 1.31  2006/05/20 10:03:44  charles
- updated to 0.5.2
- rm -convert_fn.patch (applied upstream)

Revision 1.30  2006/05/08 18:35:22  pluto
- release 2.

Revision 1.29  2006/05/08 14:47:18  charles
- added -convert_fn.patch (for gcc4)

Revision 1.28  2006/05/06 01:22:48  charles
- updated to 0.5.1

Revision 1.27  2006/04/07 12:05:55  charles
- md5

Revision 1.26  2006/04/07 11:50:16  charles
- updated to 0.5.0

Revision 1.25  2006/03/31 23:08:31  charles
- fixed build on amd64

Revision 1.24  2006/02/17 15:07:00  charles
- updated to 0.4.5

Revision 1.23  2006/02/07 13:03:07  charles
- updated to 0.4.4
- added -inttypes.patch; temporarily commented out -colors.patch

Revision 1.22  2006/01/19 20:41:17  charles
- updated to 0.4.3

Revision 1.21  2006/01/10 12:16:28  charles
- updated to 0.4.2

Revision 1.20  2005/12/21 19:28:23  charles
- BR/R libtorrent less restrictive deps

Revision 1.19  2005/12/21 03:49:31  charles
- updated to 0.4.1

Revision 1.18  2005/12/13 18:01:47  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.17  2005/11/22 02:39:41  charles
- updated to 0.4.0
- updated -colors.patch

Revision 1.16  2005/10/20 00:07:58  charles
- updated to 0.3.6

Revision 1.15  2005/09/29 00:32:02  charles
- updated to 0.3.5

Revision 1.14  2005/09/18 16:13:23  charles
- updated to 0.3.4

Revision 1.13  2005/09/02 23:23:30  charles
- updated to 0.3.3
- updated -colors.patch

Revision 1.12  2005/08/16 21:50:45  charles
- updated to 0.3.2

Revision 1.11  2005/08/13 23:39:03  charles
- updated to 0.3.1

Revision 1.10  2005/07/29 18:18:53  charles
- updated -colors.patch
- rel. 2

Revision 1.9  2005/07/19 23:02:28  charles
- updated to 0.3.0 (with libtorrent 0.7.0)
- temporarily commented out -colors.patch

Revision 1.8  2005/07/15 15:10:52  charles
- BR: zlib-devel

Revision 1.7  2005/07/15 14:00:05  charles
- always requires newest version of libtorrent

Revision 1.6  2005/07/15 09:27:27  kosmo
- updated to 0.2.7

Revision 1.5  2005/07/02 20:46:46  charles
- bcond with colors (-colors.patch)
- R: libtorrent with proper version
- rel. 2

Revision 1.4  2005/06/27 10:53:24  charles
- updated to 0.2.6
- rel. 1

Revision 1.3  2005/06/17 21:22:56  qboosh
- pl fixes

Revision 1.2  2005/06/17 09:31:55  spider
- pl
- probably group

Revision 1.1  2005/06/16 12:08:11  charles
- new (fast & "memory friendly" BitTorrent client)
